Bug 92086 - X blanking, console corruption (RH9; XF86; i82845G & G400)
X blanking, console corruption (RH9; XF86; i82845G & G400)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 12:25 EDT by Reece Hart
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:01:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XFree86 log (6.76 KB, application/gzip)
2003-06-02 12:33 EDT, Reece Hart
no flags Details
XFree86 log (uncompressed) (34.04 KB, text/plain)
2003-06-02 12:35 EDT, Reece Hart
no flags Details

  None (edit)
Description Reece Hart 2003-06-02 12:25:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Summary: X spontaneously blanks and virtual consoles are occasionally corrupted.

The most critical issue is that X spontaneously goes blank.  Switching to a
virtual console and back to X sometimes revives the display, but usually this
doesn't work.  In some cases, the virtual console display is also corrupted with
garbage graphics in the lower ~1/5th of the display.  In cases where the console
does work, top shows that X is still running; killing it restarts the display
and I can log in again (and repeat the whole process).

System: Compaq EVO 510, 1-P4 2GHz, 1GB RAM, RH 9, current up2date (incl. kernel
2.4.20-13.9), XFree86 4.3.0-2, Philips 180 LCD.  I have tried (separately) two
video cards: the builtin intel 82845G/GL Brookdale and a Matrox G400.

Additional info:
- I most often run 2 Xservers simultaneously (vt7 & vt8). However, I've seen the
above symptom at least once with only 1 X server running.
- This appears to happen most often on :0 when two servers are running.
- I once witnessed updates of :0 windows on :1; this might have been after :0
had gone lulu.
- I used a similar 2-server setup for months without a problem on the same
machine w/RH8.2, XFree86 4.2.0, Matrox G400.
- I have NO troubles with my dual Athlon G450 box (single X server).
- May be related to RedHat bugs 77164, 81119, 87844 (and others)
- I have NOT tried disabling DPMS (will do and report back if bevavior changes)

Version-Release number of selected component (if applicable):
XFree86 4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. Reproducible (it always happens) but I know of no way to trigger it.

    

Actual Results:  Typical scenario: My wife tells me the screen is dead again; I
hit Ctl-Alt-F1; if the console is dead, Ctl-Alt-Del still works to reboot; if
the console isn't dead, I do something like killall `pgrep -f :0`.


Expected Results:
- video shouldn't blank
- console shouldn't be corrupted
- :0 shouldn't appear on :1 (or v/v).

Additional info:
Comment 1 Reece Hart 2003-06-02 12:33:00 EDT
Created attachment 92085 [details]
XFree86 log
Comment 2 Reece Hart 2003-06-02 12:35:25 EDT
Created attachment 92086 [details]
XFree86 log (uncompressed)
Comment 3 Mike A. Harris 2004-10-01 02:01:22 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.